The BOOST_PP_IS_SELFISH macro is defined when a self-inclusion is in progress.

#### Usage

#if !defined(BOOST_PP_IS_SELFISH) // ...

#### Remarks

If a self-inclusion is in progress, this macro is defined as 1. This means that the following will also work:
#if !BOOST_PP_IS_SELFISH // ...
This macro is defined to guard a file from infinite inclusion.

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)